<?php

namespace Drupal\maintenance_notifier\Commands;

use Drupal\maintenance_notifier\Service\MaintenanceNotifier;
use Drush\Commands\DrushCommands;

/**
 * Defines Drush commands for the Maintenance notifier module.
 */
class MaintenanceNotifierCommands extends DrushCommands {

  /**
   * The MaintenanceNotifier service.
   *
   * @var \Drupal\maintenance_notifier\Service\MaintenanceNotifier
   */
  protected $notifier;

  /**
   * Constructs a MaintenancenotifierCommands object.
   *
   * @param \Drupal\maintenance_notifier\Service\MaintenanceNotifier $notifier
   *   The MaintenanceNotifier service.
   */
  public function __construct(MaintenanceNotifier $notifier) {
    parent::__construct();
    $this->notifier = $notifier;
  }

  /**
   * Check maintenance mode and send notification if needed.
   *
   * @command maintenance-notifier:check
   *
   * @usage drush maintenance-notifier:check
   *
   * @aliases aliases mnc
   */
  public function checkMaintenance() {
    // Check and send the notification.
    $this->notifier->checkAndSendNotification();
  }

}
